Package org.apache.commons.net

# Interface DatagramSocketFactory

All Known Implementing Classes:
  `DefaultDatagramSocketFactory`

public interface DatagramSocketFactory
The DatagramSocketFactory interface provides a means for the programmer to control the creation of datagram sockets and provide his own DatagramSocket implementations for use by all classes derived from `DatagramSocketClient` . This allows you to provide your own DatagramSocket implementations and to perform security checks or browser capability requests before creating a DatagramSocket.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatagramSocket`
  `createDatagramSocket()`
  Creates a DatagramSocket on the local host at the first available port.
  `DatagramSocket`
  `createDatagramSocket(int port)`
  Creates a DatagramSocket on the local host at a specified port.
  `DatagramSocket`
  `createDatagramSocket(int port, InetAddress localAddress)`
  Creates a DatagramSocket at the specified address on the local host at a specified port.

- ## Method Details

  - ### createDatagramSocket

    DatagramSocket createDatagramSocket() throws SocketException
    Creates a DatagramSocket on the local host at the first available port.
    Returns:
      the socket
    Throws:
      `SocketException` - If the socket could not be created.

  - ### createDatagramSocket

    DatagramSocket createDatagramSocket(int port) throws SocketException
    Creates a DatagramSocket on the local host at a specified port.
    Parameters:
      `port` - The port to use for the socket.
    Returns:
      the socket
    Throws:
      `SocketException` - If the socket could not be created.

  - ### createDatagramSocket

    DatagramSocket createDatagramSocket(int port, InetAddress localAddress) throws SocketException
    Creates a DatagramSocket at the specified address on the local host at a specified port.
    Parameters:
      `port` - The port to use for the socket.
      `localAddress` - The local address to use.
    Returns:
      the socket
    Throws:
      `SocketException` - If the socket could not be created.